import Nconf from 'nconf-lite'

const nconf = new Nconf()

// Helper method for global usage.
nconf.inTest = () => nconf.get('NODE_ENV') === 'test'

// Load env
nconf.overrides({
  NODE_ENV: (process.env.NODE_ENV || 'development').toLocaleLowerCase()
})

// Load empty overrides that can be overwritten later
nconf.overrides({})

nconf.defaults({
  "frontend": {
    "url": "http://streamer.filadelfia.is"
  },
  "jwtsecret": "w2bkdWAButfdfEkCs8dpE3L2n6QzCfhna0T4"
})


export default nconf
